'******************************************************************************
'Macroeconomic variables and correlations output, consumption, unemployment, employment, job vacancies 
'Sample countries: France, Germany, Italy, Spain
'******************************************************************************

cd "C:\Users\Barette\Desktop\GDP and Unemployment volatilities_table 2"
workfile stats q 1978.1 2009.4

'******************************************************************************
'Reading data: 
'******************************************************************************
smpl 1978.1 2009.4
read(t=xls, s=macrodata) "C:\Users\Barette\Desktop\GDP and Unemployment volatilities_table 2\gdpunemp.xls" gdpfr gdpde gdpit gdpes unempfr unempde unempit unempes

'HP filter France 
smpl @all
'GDP
series lgdpfr = log(gdpfr)
lgdpfr.hpf lgdpfr_hp
series gdpgapfr = 100*(lgdpfr-lgdpfr_hp)

'Unemployment
series lunempfr= log(unempfr)
lunempfr.hpf lunempfr_hp
series unempgapfr = 100*(lunempfr-lunempfr_hp)


'******************************************************************************
'HP filter Germany
smpl @all
'GDP
series lgdpde = log(gdpde)
lgdpde.hpf lgdpde_hp
series gdpgapde = 100*(lgdpde-lgdpde_hp)

'Unemployment
series lunempde= log(unempde)
lunempde.hpf lunempde_hp
series unempgapde = 100*(lunempde-lunempde_hp)

'******************************************************************************
'HP filter Italy
smpl @all
'GDP
series lgdpit = log(gdpit)
lgdpit.hpf lgdpit_hp
series gdpgapit = 100*(lgdpit-lgdpit_hp)

'Unemployment
series lunempit= log(unempit)
lunempit.hpf lunempit_hp
series unempgapit = 100*(lunempit-lunempit_hp)

'******************************************************************************
'HP filter Spain
smpl @all
'GDP
series lgdpes = log(gdpes)
lgdpes.hpf lgdpes_hp
series gdpgapes = 100*(lgdpes-lgdpes_hp)

'Unemployment
series lunempes= log(unempes)
lunempes.hpf lunempes_hp
series unempgapes = 100*(lunempes-lunempes_hp)

'******************************************************************************
'Stats of macroecnomic variables
'******************************************************************************
smpl 1997.1 2009.4
'France
'GDP
gdpgapfr.stats
'Unemployment
unempgapfr.stats

'Germany
'GDP
gdpgapde.stats
'Unemployment
unempgapde.stats

'Italy
'GDP
gdpgapit.stats
'Unemployment
unempgapit.stats

'Spain
'GDP
gdpgapes.stats
'Unemployment
unempgapes.stats

