'******************************************************************************
'Hazard rates: job finding rate (outflow rate) and separation rate (inflow rate)
'Sample countries: France, Germany, Italy, Spain
'******************************************************************************

cd "C:\Users\Barette\Desktop\Hazard rates_table 2"
workfile hazard a 1968 2007

'******************************************************************************
'Reading data: 
'******************************************************************************
smpl 1968 2007
read(t=xls, s=rates) "C:\Users\Barette\Desktop\Hazard rates_table 2\hazard rates.xls" jffr jfde jfit jfes sfr sde sit ses

'******************************************************************************
'Job finding rates
smpl @all
'France
series ljffr = log(jffr)
ljffr.hpf ljffr_hp
series jfgapfr = 100*(ljffr-ljffr_hp)

'Germany
series ljfde = log(jfde)
ljfde.hpf ljfde_hp
series jfgapde = 100*(ljfde-ljfde_hp)

'Italy
series ljfit = log(jfit)
ljfit.hpf ljfit_hp
series jfgapit = 100*(ljfit-ljfit_hp)

'Spain
series ljfes = log(jfes)
ljfes.hpf ljfes_hp
series jfgapes = 100*(ljfes-ljfes_hp)

'******************************************************************************
'Separation rates
'******************************************************************************
smpl @all
'France
series lsfr = log(sfr)
lsfr.hpf lsfr_hp
series sgapfr = 100*(lsfr - lsfr_hp)

'Germany
series lsde = log(sde)
lsde.hpf lsde_hp
series sgapde = 100*(lsde - lsde_hp)

'Italy
series lsit = log(sit)
lsit.hpf lsit_hp
series sgapit = 100*(lsit - lsit_hp)

'Spain
series lses = log(ses)
lses.hpf lses_hp
series sgapes = 100*(lses-lses_hp)

'******************************************************************************
'Stats
'******************************************************************************

'France
jfgapfr.stats
sgapfr.stats

'Germany
jfgapde.stats
sgapde.stats

'Italy
jfgapit.stats
sgapit.stats

'Spain
jfgapes.stats
sgapes.stats

