dynare Figure4_ashock.mod
dynare Figure4_ashock_stablePi.mod
dynare Figure5_gshock.mod
dynare Figure5_gshock_stablePi.mod

load ashock;
load ashock_stablePi;

%==========================================================================
% figure 4
%==========================================================================

perio=41;
tt=0:1:(perio-1);

figure(1)
set(0,'DefaultAxesFontName','Times','DefaultAxesFontSize',11);

subplot(3,2,1)
plot(tt,Co_path(1:perio), 'k-',tt,Co_path_stablePi(1:perio), 'k--','LineWidth',2);
grid on
hold on
xlabel('Quarters');
title('CONSUMPTION PATH (% DEVIATION)')

subplot(3,2,4)
plot(tt,pir_path(1:perio), 'k-',tt,pir_path_stablePi(1:perio), 'k--','LineWidth',2);
hold on
xlabel('Quarters');
grid on 
title('EXPECTED PROFITS');

subplot(3,2,2)
plot(tt,pi_path(1:perio), 'k-',tt,pi_path_stablePi(1:perio), 'k--','LineWidth',2);
hold on
xlabel('Quarters');
grid on 
title('INFLATION RATE IN % (ANNUALIZED)');

subplot(3,2,3)
plot(tt,n_path(1:perio), 'k-',tt,n_path_stablePi(1:perio), 'k--','LineWidth',2);
hold on
xlabel('Quarters');
grid on 
title('EMPLOYMENT PATH (% DEVIATION)');

subplot(3,2,5)
plot(tt,eta_path(1:perio), 'k-',tt,eta_path_stablePi(1:perio), 'k--','LineWidth',2);
hold on
xlabel('Quarters');
grid on 
title('HIRING RATE (% DEVIATION)')

subplot(3,2,6)
plot(tt,fr_path(1:perio), 'k-',tt,fr_path_stablePi(1:perio), 'k--','LineWidth',2);
hold on
xlabel('Quarters');
grid on 
title('FIRING RATE (% DEVIATION)')
legend('Ramsey','Price Stability','Location','SouthEast')

saveas(gcf,['ashock2'],'eps')
saveas(gcf,['ashock2'],'pdf')

load gshock;
load gshock_stablePi;

%==========================================================================
% figure 5
%==========================================================================

perio=41;
tt=0:1:(perio-1);

figure(2)
set(0,'DefaultAxesFontName','Times','DefaultAxesFontSize',11);

subplot(3,2,1)
plot(tt,Co_path(1:perio), 'k-',tt,Co_path_stablePi(1:perio), 'k--','LineWidth',2);
grid on
hold on
xlabel('Quarters');
title('CONSUMPTION PATH (% DEVIATION)')

subplot(3,2,4)
plot(tt,pir_path(1:perio), 'k-',tt,pir_path_stablePi(1:perio), 'k--','LineWidth',2);
hold on
xlabel('Quarters');
grid on 
title('EXPECTED PROFITS');

subplot(3,2,2)
plot(tt,pi_path(1:perio), 'k-',tt,pi_path_stablePi(1:perio), 'k--','LineWidth',2);
hold on
xlabel('Quarters');
grid on 
title('INFLATION RATE IN % (ANNUALIZED)');

subplot(3,2,3)
plot(tt,n_path(1:perio), 'k-',tt,n_path_stablePi(1:perio), 'k--','LineWidth',2);
hold on
xlabel('Quarters');
grid on 
title('EMPLOYMENT PATH (% DEVIATION)');

subplot(3,2,5)
plot(tt,eta_path(1:perio), 'k-',tt,eta_path_stablePi(1:perio), 'k--','LineWidth',2);
hold on
xlabel('Quarters');
grid on 
title('HIRING RATE (% DEVIATION)')

subplot(3,2,6)
plot(tt,fr_path(1:perio), 'k-',tt,fr_path_stablePi(1:perio), 'k--','LineWidth',2);
hold on
xlabel('Quarters');
grid on 
title('FIRING RATE (% DEVIATION)')
legend('Ramsey','Price Stability','Location','SouthEast')

saveas(gcf,['gshock2'],'eps')
saveas(gcf,['gshock2'],'pdf')
